Documentação

ReferênciaWebhooks

Testar assinatura de webhook

POST
/webhooks/{id}/test

Entrega um webhook.ping agora e responde com o que a URL respondeu.

X-API-Key<token>

Chave de API (prefixo nbr_) ou Token de Acesso Pessoal (prefixo pat_)

In: header

Path Parameters

id*string

Identificador da assinatura

Header Parameters

Idempotency-Key*string

Chave de idempotência para evitar processamento duplicado. Use um UUID v4 único por requisição.

Lengthlength <= 255

Response Body

application/json

application/json

curl -X POST "https://example.com/webhooks/whs_abc123/test" \  -H "Idempotency-Key: string"
{  "duration_ms": 0,  "error": "string",  "http_status": 0,  "response_body": "string",  "success": true}
{  "code": "string",  "detail": "string",  "documentation_url": "string",  "errors": [    {      "code": "string",      "field": "string",      "help": "string",      "message": "string",      "message_params": {        "property1": null,        "property2": null      },      "resource": "string",      "suggestion": "string",      "value": null    }  ],  "instance": "string",  "message_params": {    "property1": null,    "property2": null  },  "readiness": {    "basis": "checklist",    "document": "proposal",    "issues": [      {        "code": "required",        "field": "string",        "resource_id": "string",        "resource_type": "proposal",        "role": "buyer",        "stage": "proposal_submission"      }    ],    "policy": {      "document": "proposal",      "key": "string",      "template_id": "string",      "template_revision": "string",      "version": 0    },    "ready": true,    "supported": true,    "unsupported_reason": "no_document"  },  "request_id": "string",  "retry_after": 0,  "span_id": "string",  "status": 0,  "suggestion": "string",  "timestamp": "string",  "title": "string",  "trace_id": "string",  "type": "string",  "user_message": "string"}